Bug 166315 - up2date never uses mirrors from yum repositories
up2date never uses mirrors from yum repositories
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
Depends On:
  Show dependency treegraph
Reported: 2005-08-18 22:07 EDT by Pedro Fernandes Macedo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-05 11:22:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pedro Fernandes Macedo 2005-08-18 22:07:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Up2date, when configured to use yum repositories with the mirrorlist entry defined , keeps on using download.fedora.redhat.com for the base and updates-released repositories. 
Using a smaller mirrorlist to check (with 5 mirrors only) and ethereal, running up2date -u always downloads the files from download.fedora.redhat.com and never tries any other mirror.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run up2date -u and check all network traffic

Actual Results:  Updates are downloaded always from the same site

Expected Results:  up2date should use the mirrors defined in the mirrorlist

Additional info:
Comment 1 John Thacker 2006-10-29 15:21:35 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 2 John Thacker 2006-11-05 11:22:09 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.